最新

vdrめも

検索キーワード:
[PR]:「Chef活用ガイド コードではじめる構成管理 (大型本), (Kindle版)」発売中です。


2021-10-03(日) [長年日記]

_ [vdr] x509: certificate has expired or is not yet valid

DST Root CA X3 Expiration (September 2021) の関係で mackerel がアラートを出すようになっていた。ひとまずやったこととして、

  • mackerel-agent cookbook を 3.1.0 から 4.0.0 に更新
  • mackerel-agent パッケージを 0.43.2-1 から 0.72.2-1 に更新
  • mackerel-check-plugins パッケージを 0.10.4-1 から 0.40.1-1.v2 に更新
  • /etc/ca-certificates.conf の mozilla/DST_Root_CA_X3.crt の先頭に ! をつけて update-ca-certificates を実行

とここまでやってもうまくいかないどころか

x509: certificate has expired or is not yet valid: current time 2021-10-03T12:38:09+09:00 is after 2021-09-29T19:21:40Z

とアラートの内容が詳しくなるだけ。

とよくよく調べてみると、apache2 のほうでもはや使われていない SSLCertificateChainFile で古くて問題ある pem を指定していた。SSLCertificateChainFile 行をまるっと削除することでやっと正常な状態に戻った。


2021-10-09(土) [長年日記]

_ [debian] lintian 変?

ruby-serverspec の git commit が溜まっていたのでアップデートしようとしたら、

E: ruby-serverspec: ruby-script-but-no-ruby-dep usr/bin/serverspec-init /usr/bin/ruby

lintian でエラーになった。Depends: ruby してるんだけど何で駄目なんだろ?

理由はよくわからないけど Depends: ruby:any なら通った。

_ [debian] ruby-serverspec 2.41.8-2, ruby-guard-shell 0.7.2-1, ruby-guard 2.18.0-1

いくつか lintian がらみを直して uploaded.


2021-10-10(日) [長年日記]

_ [debian] rabbiter 2.0.4-4

いくつか lintian がらみを直して uploaded.


2021-10-12(火) [長年日記]

_ [debian] ruby-formatador 0.2.5-3

いくつか lintian がらみを直して uploaded.

0.3.0 が出てるけど、ruby-fog-core と ruby-shindo が 0.2.x に依存してるぽいので触らないでおく。

_ [debian] coderay 1.1.3-5

いくつか lintian がらみを直して uploaded.


2021-10-14(木) [長年日記]

_ [debian] trayer 1.1.8-3

いくつか lintian がらみを直して upload し、orphan した。> #996439

xfce4 に乗り換え して以来使っていなかったし、GTK+2 依存のまま upstream も動きがないので。


2021年
10月
1 2
3 4 5 6 7 8 9
10 11 12 13 14 15 16
17 18 19 20 21 22 23
24 25 26 27 28 29 30
31

[amd64 | audacious | comp | debian | gkrelluim | kip | misc | movie | research | rime | unicon | vdr | work | えふえふ]

書いてる人: dai

パッチ等(無保証)

GPG Fingerprint = 0B29 D88E 42E6 B765 B8D8 EA50 7839 619D D439 668E